Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/NetCqiClient.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/NetCqiClient.java	(revision 1223)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/NetCqiClient.java	(revision 1224)
@@ -44,6 +44,7 @@
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.clientExceptions.ServerNotFoundException;
 import org.txm.searchengine.cqp.clientExceptions.UnexpectedAnswerException;
+import org.txm.searchengine.cqp.core.messages.CQPSearchEngineCoreMessages;
 import org.txm.searchengine.cqp.serverException.CqiClErrorCorpusAccess;
 import org.txm.searchengine.cqp.serverException.CqiClErrorInternal;
 import org.txm.searchengine.cqp.serverException.CqiClErrorNoSuchAttribute;
@@ -169,9 +170,10 @@
 	 * @throws IOException
 	 *             Signals that an I/O exception has occurred.
 	 */
-	private synchronized String readString() throws UnexpectedAnswerException,
-	CqiServerError, IOException {
-		Log.finest(TXMCoreMessages.READING_STRING_FROM_CQI_SERVER);
+	private synchronized String readString() throws UnexpectedAnswerException, CqiServerError, IOException {
+		
+		Log.finest(CQPSearchEngineCoreMessages.READING_STRING_FROM_CQI_SERVER);
+		
 		if (readHeaderFromServer() != CQI_DATA_STRING) {
 			throw new UnexpectedAnswerException();
 		}
@@ -179,7 +181,9 @@
 		byte[] bytes = new byte[length];
 		this.streamFromServer.readFully(bytes);
 		String res = new String(bytes, "UTF-8"); //$NON-NLS-1$
-		Log.finest(TXMCoreMessages.bind(TXMCoreMessages.READ_STRING_FROM_CQI_SERVER, res));
+		
+		Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.READ_STRING_FROM_CQI_SERVER, res));
+		
 		return res;
 	}
 
@@ -195,16 +199,19 @@
 	 * @throws IOException
 	 *             Signals that an I/O exception has occurred.
 	 */
-	private synchronized boolean readBoolean()
-			throws UnexpectedAnswerException, CqiServerError, IOException {
+	private synchronized boolean readBoolean() throws UnexpectedAnswerException, CqiServerError, IOException {
 		byte b = 0;
-		Log.finest(TXMCoreMessages.READING_BOOLEAN_FROM_CQI_SERVER);
+		
+		Log.finest(CQPSearchEngineCoreMessages.READING_BOOLEAN_FROM_CQI_SERVER);
+		
 		if (readHeaderFromServer() != CQI_DATA_BOOL) {
 			throw new UnexpectedAnswerException();
 		}
 		b = this.streamFromServer.readByte();
 		boolean res = (b == 1);
-		Log.finest(TXMCoreMessages.READ_BOOLEAN_FROM_CQI_SERVER);
+		
+		Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.READ_BOOLEAN_FROM_CQI_SERVER, res));
+		
 		return res;
 	}
 
@@ -220,14 +227,17 @@
 	 * @throws IOException
 	 *             Signals that an I/O exception has occurred.
 	 */
-	private synchronized int readInt() throws UnexpectedAnswerException,
-	CqiServerError, IOException {
-		Log.finest(TXMCoreMessages.READING_INTEGER_FROM_CQI_SERVER);
+	private synchronized int readInt() throws UnexpectedAnswerException, CqiServerError, IOException {
+		
+		Log.finest(CQPSearchEngineCoreMessages.READING_INTEGER_FROM_CQI_SERVER);
+		
 		if (readHeaderFromServer() != CQI_DATA_INT) {
 			throw new UnexpectedAnswerException();
 		}
 		int res = this.streamFromServer.readInt();
-		Log.finest(TXMCoreMessages.READ_INTEGER_FROM_CQI_SERVER + res);
+		
+		Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.READ_INTEGER_FROM_CQI_SERVER, res));
+		
 		return res;
 	}
 
@@ -243,9 +253,10 @@
 	 * @throws IOException
 	 *             Signals that an I/O exception has occurred.
 	 */
-	private synchronized String[] readStringArray()
-			throws UnexpectedAnswerException, CqiServerError, IOException {
-		Log.finest(TXMCoreMessages.READING_STRING_ARRAY_FROM_CQI_SERVER);
+	private synchronized String[] readStringArray() throws UnexpectedAnswerException, CqiServerError, IOException {
+		
+		Log.finest(CQPSearchEngineCoreMessages.READING_STRING_ARRAY_FROM_CQI_SERVER);
+		
 		byte[] header = readHeaderFromServer();
 		if (header != CQI_DATA_STRING_LIST) {
 			throw new UnexpectedAnswerException();
@@ -287,8 +298,9 @@
 		// long end = System.currentTimeMillis();
 		// System.out.println(nByteRead + " bytes read in " +(end-start)+ "ms ("
 		// + (nByteRead/(1+end-start)) + "kb/s)");
-		Log.finest(TXMCoreMessages.READ_STRING_ARRAY_FROM_CQI_SERVER
-				+ Arrays.asList(strings));
+		
+		Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.READ_STRING_ARRAY_FROM_CQI_SERVER, Arrays.asList(strings)));
+		
 		return strings;
 	}
 
@@ -341,7 +353,9 @@
 	 */
 	private synchronized int[] readIntList() throws UnexpectedAnswerException,
 	CqiServerError, IOException {
-		Log.finest(TXMCoreMessages.READING_INT_ARRAY_FROM_CQI_SERVER);
+		
+		Log.finest(CQPSearchEngineCoreMessages.READING_INT_ARRAY_FROM_CQI_SERVER);
+		
 		if ((readHeaderFromServer()) != CQI_DATA_INT_LIST) {
 			throw new UnexpectedAnswerException();
 		}
@@ -363,7 +377,9 @@
 		 * for(int i=0; i<arrayLength; i++){ ints[i] =
 		 * this.streamFromServer.readInt(); }
 		 */
-		// Log.finest(Messages.READ_INT_ARRAY_FROM_CQI_SERVER+Arrays.asList(ints));
+		
+		Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.READ_INT_ARRAY_FROM_CQI_SERVER, Arrays.asList(ints)));
+		
 		return ints;
 	}
 
@@ -420,9 +436,10 @@
 	 * @throws IOException
 	 *             Signals that an I/O exception has occurred.
 	 */
-	private synchronized int[][] readIntTable()
-			throws UnexpectedAnswerException, CqiServerError, IOException {
-		Log.finest(TXMCoreMessages.READING_2D_INT_ARRAY_FROM_CQI_SERVER);
+	private synchronized int[][] readIntTable() throws UnexpectedAnswerException, CqiServerError, IOException {
+		
+		Log.finest(CQPSearchEngineCoreMessages.READING_2D_INT_ARRAY_FROM_CQI_SERVER);
+		
 		if ((readHeaderFromServer()) != CQI_DATA_INT_TABLE) {
 			throw new UnexpectedAnswerException();
 		}
@@ -432,8 +449,9 @@
 		for (int i = 0; i < nRow; i++)
 			for (int j = 0; j < nCol; j++)
 				ints[i][j] = this.streamFromServer.readInt();
-		Log.finest(TXMCoreMessages.READ_2D_INT_ARRAY_FROM_CQI_SERVER
-				+ Arrays.asList(ints));
+		
+		Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.READ_2D_INT_ARRAY_FROM_CQI_SERVER, Arrays.asList(ints)));
+		
 		return ints;
 	}
 
@@ -445,17 +463,19 @@
 	 * @throws UnexpectedAnswerException Signals that the data read on the socket is unexpected
 	 * @throws CqiServerError Signals that the cqi server raised an error
 	 */
-	private synchronized int[] readIntInt() throws IOException,
-	UnexpectedAnswerException, CqiServerError {
-		Log.finest(TXMCoreMessages.READING_INT_ARRAY_FROM_CQI_SERVER);
+	private synchronized int[] readIntInt() throws IOException,	UnexpectedAnswerException, CqiServerError {
+		
+		Log.finest(CQPSearchEngineCoreMessages.READING_INT_ARRAY_FROM_CQI_SERVER);
+		
 		if (readHeaderFromServer() != CQI_DATA_INT_INT) {
 			throw new UnexpectedAnswerException();
 		}
 		int[] res = new int[2];
 		res[0] = this.streamFromServer.readInt();
 		res[1] = this.streamFromServer.readInt();
-		Log.finest(TXMCoreMessages.READ_INT_ARRAY_FROM_CQI_SERVER
-				+ Arrays.asList(res));
+		
+		Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.READ_INT_ARRAY_FROM_CQI_SERVER, Arrays.asList(res)));
+		
 		return res;
 	}
 
@@ -467,9 +487,10 @@
 	 * @throws UnexpectedAnswerException Signals that the data read on the socket is unexpected
 	 * @throws CqiServerError Signals that the cqi server raised an error
 	 */
-	private synchronized int[] readIntIntIntInt() throws IOException,
-	UnexpectedAnswerException, CqiServerError {
-		Log.finest(TXMCoreMessages.READING_INT_ARRAY_FROM_CQI_SERVER);
+	private synchronized int[] readIntIntIntInt() throws IOException, UnexpectedAnswerException, CqiServerError {
+		
+		Log.finest(CQPSearchEngineCoreMessages.READING_INT_ARRAY_FROM_CQI_SERVER);
+		
 		if (readHeaderFromServer() != CQI_DATA_INT_INT_INT_INT) {
 			throw new UnexpectedAnswerException();
 		}
@@ -478,8 +499,8 @@
 		res[1] = this.streamFromServer.readInt();
 		res[2] = this.streamFromServer.readInt();
 		res[3] = this.streamFromServer.readInt();
-		Log.finest(TXMCoreMessages.READ_INT_ARRAY_FROM_CQI_SERVER
-				+ Arrays.asList(res));
+		
+		Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.READ_INT_ARRAY_FROM_CQI_SERVER, Arrays.asList(res)));
 		return res;
 	}
 
@@ -495,17 +516,22 @@
 	 * @throws IOException
 	 *             Signals that an I/O exception has occurred.
 	 */
-	private synchronized byte[] readHeaderFromServer()
-			throws UnexpectedAnswerException, CqiServerError, IOException {
-		Log.finest(TXMCoreMessages.READING_HEADER_FROM_CQI_SERVER);
+	private synchronized byte[] readHeaderFromServer() throws UnexpectedAnswerException, CqiServerError, IOException {
+		
+		Log.finest(CQPSearchEngineCoreMessages.READING_HEADER_FROM_CQI_SERVER);
+		
 		byte b = this.streamFromServer.readByte();
-		Log.finest(TXMCoreMessages.bind(TXMCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
+		
+		Log.finest(CQPSearchEngineCoreMessages.bind(CQPSearchEngineCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
+		
 		switch (b) {
 		case 0x00:// cf cqi.h:29
 			return CQI_PADDING;
 		case 0x01:// cf cqi.h:37
 			b = this.streamFromServer.readByte();
-			Log.finest(TXMCoreMessages.bind(TXMCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
+			
+			Log.finest(CQPSearchEngineCoreMessages.bind(CQPSearchEngineCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
+			
 			switch (b) {
 			case 0x01:// cf cqi.h:39
 				return CQI_STATUS_OK;
@@ -518,8 +544,10 @@
 			}
 		case 0x02:// cf cqi.h:45
 			b = this.streamFromServer.readByte();
-			Log.finest(TXMCoreMessages.bind(TXMCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
-			lastError = TXMCoreMessages.MemCqiClient_0+b;
+			
+			Log.finest(CQPSearchEngineCoreMessages.bind(CQPSearchEngineCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
+			
+			lastError = CQPSearchEngineCoreMessages.MemCqiClient_0+b;
 			switch (b) {
 			case 0x01:// cf cqi.h:39
 				throw new CqiErrorGeneralError();
@@ -532,7 +560,9 @@
 			}
 		case 0x03:// cf cqi.h:53
 			b = this.streamFromServer.readByte();
-			Log.finest(TXMCoreMessages.bind(TXMCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
+			
+			Log.finest(CQPSearchEngineCoreMessages.bind(CQPSearchEngineCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
+			
 			switch (b) {
 			case 0x01:// cf cqi.h:39
 				return CQI_DATA_BYTE;
@@ -560,8 +590,10 @@
 		case 0x04:// cf cqi.h:67
 
 			b = this.streamFromServer.readByte();
-			lastError = TXMCoreMessages.MemCqiClient_1+b;
-			Log.finest(TXMCoreMessages.bind(TXMCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
+			lastError = CQPSearchEngineCoreMessages.MemCqiClient_1+b;
+			
+			Log.finest(CQPSearchEngineCoreMessages.bind(CQPSearchEngineCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
+			
 			switch (b) {
 			case 0x01:// cf cqi.h:39
 				throw new CqiClErrorNoSuchAttribute();
@@ -582,8 +614,10 @@
 		case 0x05:// cf cqi.h:94
 
 			b = this.streamFromServer.readByte();
-			lastError = TXMCoreMessages.MemCqiClient_2+b;
-			Log.finest(TXMCoreMessages.bind(TXMCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
+			lastError = CQPSearchEngineCoreMessages.MemCqiClient_2+b;
+			
+			Log.finest(CQPSearchEngineCoreMessages.bind(CQPSearchEngineCoreMessages.READ_BYTE_FROM_CQI_SERVER, b));
+			
 			switch (b) {
 			case 0x01:// cf cqi.h:39
 				throw new CqiCqpErrorErrorGeneral();
@@ -611,8 +645,7 @@
 	 * @throws IOException Signals that an I/O exception has occurred.
 	 * @throws CqiServerError Signals that the cqi server raised an error
 	 */
-	private synchronized String genericStringToString(String string,
-			byte[] function) throws UnexpectedAnswerException, IOException,
+	private synchronized String genericStringToString(String string, byte[] function) throws UnexpectedAnswerException, IOException,
 			CqiServerError {
 		this.streamToServer.write(function);
 		this.writeString(string);
@@ -629,9 +662,7 @@
 	 * @throws IOException Signals that an I/O exception has occurred.
 	 * @throws CqiServerError Signals that the cqi server raised an error
 	 */
-	private synchronized String[] genericStringToStringArray(String string,
-			byte[] function) throws UnexpectedAnswerException, IOException,
-			CqiServerError {
+	private synchronized String[] genericStringToStringArray(String string, byte[] function) throws UnexpectedAnswerException, IOException, CqiServerError {
 		this.streamToServer.write(function);
 		this.writeString(string);
 		return readStringArray();
@@ -649,9 +680,7 @@
 	 * @throws UnexpectedAnswerException Signals that the data read on the socket is unexpected
 	 * @throws CqiServerError Signals that the cqi server raised an error
 	 */
-	private synchronized String[] genericStringXIntArraytoStringArray(
-			String string, int[] ints, byte[] function) throws IOException,
-			UnexpectedAnswerException, CqiServerError {
+	private synchronized String[] genericStringXIntArraytoStringArray( String string, int[] ints, byte[] function) throws IOException, UnexpectedAnswerException, CqiServerError {
 		// long start = System.currentTimeMillis();
 		this.streamToServer.write(function);
 		// System.out.println(System.currentTimeMillis()-start);
@@ -676,9 +705,7 @@
 	 * @throws CqiServerError Signals that the cqi server raised an error
 	 * @throws IOException Signals that an I/O exception has occurred.
 	 */
-	private synchronized int[] genericStringXIntArraytoIntArray(String string,
-			int[] ints, byte[] function) throws UnexpectedAnswerException,
-			CqiServerError, IOException {
+	private synchronized int[] genericStringXIntArraytoIntArray(String string, int[] ints, byte[] function) throws UnexpectedAnswerException, CqiServerError, IOException {
 		this.streamToServer.write(function);
 		this.writeString(string);
 		this.writeIntArray(ints);
@@ -710,11 +737,9 @@
 				this.socket = new Socket();
 				this.serverAddress = new InetSocketAddress(host, port);
 				this.socket.connect(serverAddress);
-				this.streamToServer = new DataOutputStream(this.socket
-						.getOutputStream());
-				this.streamFromServer = new DataInputStream(this.socket
-						.getInputStream());
-				System.out.print(TXMCoreMessages.CqiClient_32);
+				this.streamToServer = new DataOutputStream(this.socket.getOutputStream());
+				this.streamFromServer = new DataInputStream(this.socket.getInputStream());
+				Log.info(CQPSearchEngineCoreMessages.CqiClient_32);
 				return;
 			} catch (IOException e) {
 				System.err.print("."); //$NON-NLS-1$
@@ -726,7 +751,7 @@
 
 			attempts--;
 		}
-		throw new ServerNotFoundException(TXMCoreMessages.CqiClient_33);
+		throw new ServerNotFoundException(CQPSearchEngineCoreMessages.CqiClient_33);
 	}
 
 	// CQI_ERROR_CONNECT_REFUSED
@@ -741,18 +766,18 @@
 	 * @throws CqiServerError Signals that the cqi server raised an error
 	 */
 	@Override
-	public synchronized boolean connect(String username, String password)
-			throws UnexpectedAnswerException, IOException, CqiServerError {
+	public synchronized boolean connect(String username, String password) throws UnexpectedAnswerException, IOException, CqiServerError {
 		this.username = username;
 		this.password = password;
-		Log.finest(TXMCoreMessages.CONNECTING_CQI_CLIENT + username
-				+ ":" + password + "@" + host + ":" + port); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+		
+		Log.finest(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.CONNECTING_CQI_CLIENT, username, password, host, port));
+		
 		this.streamToServer.write(CQI_CTRL_CONNECT);
 		this.writeString(username);
 		this.writeString(password);
 		try {
 			readHeaderFromServer();
-			Log.finest(TXMCoreMessages.CQI_CLIENT_CONNECTED);
+			Log.finest(CQPSearchEngineCoreMessages.CQI_CLIENT_CONNECTED);
 			return true;
 		} catch (CqiErrorConnectRefused e) {
 			return false;
@@ -775,18 +800,18 @@
 	 *             Signals that an I/O exception has occurred.
 	 */
 	@Override
-	public synchronized boolean disconnect() throws UnexpectedAnswerException,
-	CqiServerError, IOException {
+	public synchronized boolean disconnect() throws UnexpectedAnswerException, CqiServerError, IOException {
 		this.streamToServer.write(CQI_CTRL_BYE);
 		return (readHeaderFromServer() == CQI_STATUS_BYE_OK);
 	}
 
 	String lastError;
 	@Override
-	public synchronized String getLastError(){	
-		if(lastError != null && lastError.length() > 0)
+	public synchronized String getLastError() {
+		if(lastError != null && lastError.length() > 0) {
 			return lastError;
-		return TXMCoreMessages.AbstractCqiClient_2;
+		}
+		return CQPSearchEngineCoreMessages.AbstractCqiClient_2;
 	}
 
 	// CQI_CTRL_LAST_GENERAL_ERROR
@@ -799,16 +824,17 @@
 	 * @throws CqiServerError Signals that the cqi server raised an error
 	 */
 	@Override
-	public synchronized String getLastCqiError() throws UnexpectedAnswerException, IOException,
-	CqiServerError {
-		Log.severe(TXMCoreMessages.CqiClient_0);
+	public synchronized String getLastCqiError() throws UnexpectedAnswerException, IOException, CqiServerError {
+		
+		Log.severe(CQPSearchEngineCoreMessages.CqiClient_0);
+		
 		this.streamToServer.write(CQI_CTRL_LAST_GENERAL_ERROR);
 
 		try {
 			String ret = readString();
 			return getLastCQPError()+"\t"+ret; //$NON-NLS-1$
 		} catch (CqiServerError e) {
-			System.out.println(TXMCoreMessages.NetCqiClient_1+e);
+			Log.severe(CQPSearchEngineCoreMessages.NetCqiClient_1 + e);
 			return "error"; //$NON-NLS-1$
 		}
 	}
@@ -829,7 +855,7 @@
 			String ret = readString();
 			return ret;
 		} catch (Exception e) {
-			System.out.println(TXMCoreMessages.NetCqiClient_3+e);
+			Log.severe(CQPSearchEngineCoreMessages.NetCqiClient_3 + e);
 			return "error"; //$NON-NLS-1$
 		}
 	}
@@ -844,8 +870,7 @@
 	 * @throws CqiServerError Signals that the cqi server raised an error
 	 */
 	@Override
-	public synchronized String[] listCorpora()
-			throws UnexpectedAnswerException, IOException, CqiServerError {
+	public synchronized String[] listCorpora() throws UnexpectedAnswerException, IOException, CqiServerError {
 		this.streamToServer.write(CQI_CORPUS_LIST_CORPORA);
 		return readStringArray();
 	}
@@ -861,8 +886,7 @@
 	 * @throws CqiServerError Signals that the cqi server raised an error
 	 */
 	@Override
-	public synchronized String corpusCharset(String corpus)
-			throws UnexpectedAnswerException, IOException, CqiServerError {
+	public synchronized String corpusCharset(String corpus) throws UnexpectedAnswerException, IOException, CqiServerError {
 		return genericStringToString(corpus, CQI_CORPUS_CHARSET);
 	}
 
@@ -877,8 +901,7 @@
 	 * @throws CqiServerError Signals that the cqi server raised an error
 	 */
 	@Override
-	public synchronized String[] corpusProperties(String corpus)
-			throws UnexpectedAnswerException, IOException, CqiServerError {
+	public synchronized String[] corpusProperties(String corpus) throws UnexpectedAnswerException, IOException, CqiServerError {
 		return genericStringToStringArray(corpus, CQI_CORPUS_PROPERTIES);
 	}
 
@@ -893,10 +916,8 @@
 	 * @throws CqiServerError Signals that the cqi server raised an error
 	 */
 	@Override
-	public synchronized String[] corpusPositionalAttributes(String corpusID)
-			throws UnexpectedAnswerException, IOException, CqiServerError {
-		return genericStringToStringArray(corpusID,
-				CQI_CORPUS_POSITIONAL_ATTRIBUTES);
+	public synchronized String[] corpusPositionalAttributes(String corpusID) throws UnexpectedAnswerException, IOException, CqiServerError {
+		return genericStringToStringArray(corpusID, CQI_CORPUS_POSITIONAL_ATTRIBUTES);
 	}
 
 	// CQI_CQP_ERROR_NO_SUCH_CORPUS
@@ -910,10 +931,8 @@
 	 * @throws CqiServerError Signals that the cqi server raised an error
 	 */
 	@Override
-	public synchronized String[] corpusStructuralAttributes(String corpus)
-			throws UnexpectedAnswerException, IOException, CqiServerError {
-		return genericStringToStringArray(corpus,
-				CQI_CORPUS_STRUCTURAL_ATTRIBUTES);
+	public synchronized String[] corpusStructuralAttributes(String corpus) throws UnexpectedAnswerException, IOException, CqiServerError {
+		return genericStringToStringArray(corpus, CQI_CORPUS_STRUCTURAL_ATTRIBUTES);
 	}
 
 	// CQI_CQP_ERROR_NO_SUCH_CORPUS, CQI_CL_ERROR_NO_SUCH_ATTRIBUTE,
@@ -928,9 +947,7 @@
 	 * @throws CqiServerError Signals that the cqi server raised an error
 	 */
 	@Override
-	public synchronized boolean corpusStructuralAttributeHasValues(
-			String attribute) throws UnexpectedAnswerException, IOException,
-			CqiServerError {
+	public synchronized boolean corpusStructuralAttributeHasValues(String attribute) throws UnexpectedAnswerException, IOException, CqiServerError {
 		this.streamToServer.write(CQI_CORPUS_STRUCTURAL_ATTRIBUTE_HAS_VALUES);
 		this.writeString(attribute);
 		return readBoolean();
@@ -947,10 +964,8 @@
 	 * @throws CqiServerError Signals that the cqi server raised an error
 	 */
 	@Override
-	public synchronized String[] corpusAlignementAttributes(String corpus)
-			throws UnexpectedAnswerException, IOException, CqiServerError {
-		return genericStringToStringArray(corpus,
-				CQI_CORPUS_ALIGNMENT_ATTRIBUTES);
+	public synchronized String[] corpusAlignementAttributes(String corpus) throws UnexpectedAnswerException, IOException, CqiServerError {
+		return genericStringToStringArray(corpus, CQI_CORPUS_ALIGNMENT_ATTRIBUTES);
 	}
 
 	// CQI_CQP_ERROR_NO_SUCH_CORPUS
@@ -964,8 +979,7 @@
 	 * @throws CqiServerError Signals that the cqi server raised an error
 	 */
 	@Override
-	public synchronized String corpusFullName(String corpus)
-			throws UnexpectedAnswerException, IOException, CqiServerError {
+	public synchronized String corpusFullName(String corpus) throws UnexpectedAnswerException, IOException, CqiServerError {
 		return genericStringToString(corpus, CQI_CORPUS_FULL_NAME);
 	}
 
@@ -979,8 +993,7 @@
 	 * @throws CqiServerError Signals that the cqi server raised an error
 	 */
 	@Override
-	public synchronized String[] corpusInfo(String corpus)
-			throws UnexpectedAnswerException, IOException, CqiServerError {
+	public synchronized String[] corpusInfo(String corpus) throws UnexpectedAnswerException, IOException, CqiServerError {
 		throw new UnsupportedOperationException();
 	}
 
@@ -1007,8 +1020,7 @@
 	 * @throws CqiServerError Signals that the cqi server raised an error
 	 */
 	@Override
-	public synchronized int attributeSize(String attribute) throws IOException,
-	UnexpectedAnswerException, CqiServerError {
+	public synchronized int attributeSize(String attribute) throws IOException, UnexpectedAnswerException, CqiServerError {
 		this.streamToServer.write(CQI_CL_ATTRIBUTE_SIZE);
 		this.writeString(attribute);
 		return readInt();
@@ -1027,8 +1039,7 @@
 	 * @returns the number of entries in the lexicon of a positional attribute
 	 */
 	@Override
-	public synchronized int lexiconSize(String attribute) throws IOException,
-	UnexpectedAnswerException, CqiServerError {
+	public synchronized int lexiconSize(String attribute) throws IOException, UnexpectedAnswerException, CqiServerError {
 		this.streamToServer.write(CQI_CL_LEXICON_SIZE);
 		this.writeString(attribute);
 		return readInt();
@@ -1043,8 +1054,7 @@
 	 * @throws CqiServerError Signals that the cqi server raised an error
 	 */
 	@Override
-	public synchronized void dropAttribute(String attribute)
-			throws IOException, UnexpectedAnswerException, CqiServerError {
+	public synchronized void dropAttribute(String attribute) throws IOException, UnexpectedAnswerException, CqiServerError {
 		throw new UnsupportedOperationException();
 	}
 
@@ -1059,8 +1069,7 @@
 	 * @throws CqiServerError Signals that the cqi server raised an error
 	 */
 	@Override
-	public synchronized int[] str2Id(String attribute, String[] strings)
-			throws IOException, UnexpectedAnswerException, CqiServerError {
+	public synchronized int[] str2Id(String attribute, String[] strings) throws IOException, UnexpectedAnswerException, CqiServerError {
 		this.streamToServer.write(CQI_CL_STR2ID);
 		this.writeString(attribute);
 		this.writeStringArray(strings);
@@ -1078,11 +1087,8 @@
 	 * @throws CqiServerError Signals that the cqi server raised an error
 	 */
 	@Override
-	public synchronized String[] id2Str(String attribute, int[] ids)
-			throws UnexpectedAnswerException, IOException, CqiServerError {
-
-		return genericStringXIntArraytoStringArray(attribute, ids,
-				CQI_CL_ID2STR);
+	public synchronized String[] id2Str(String attribute, int[] ids) throws UnexpectedAnswerException, IOException, CqiServerError {
+		return genericStringXIntArraytoStringArray(attribute, ids, CQI_CL_ID2STR);
 	}
 
 	/**
@@ -1096,8 +1102,7 @@
 	 * @throws CqiServerError Signals that the cqi server raised an error
 	 */
 	@Override
-	public synchronized int[] id2Freq(String attribute, int[] ids)
-			throws UnexpectedAnswerException, IOException, CqiServerError {
+	public synchronized int[] id2Freq(String attribute, int[] ids) throws UnexpectedAnswerException, IOException, CqiServerError {
 		return genericStringXIntArraytoIntArray(attribute, ids, CQI_CL_ID2FREQ);
 	}
 
@@ -1112,8 +1117,7 @@
 	 * @throws CqiServerError Signals that the cqi server raised an error
 	 */
 	@Override
-	public synchronized int[] cpos2Id(String attribute, int[] cpos)
-			throws UnexpectedAnswerException, IOException, CqiServerError {
+	public synchronized int[] cpos2Id(String attribute, int[] cpos) throws UnexpectedAnswerException, IOException, CqiServerError {
 		return genericStringXIntArraytoIntArray(attribute, cpos, CQI_CL_CPOS2ID);
 	}
 
@@ -1128,8 +1132,7 @@
 	 * @throws CqiServerError the cqi server error
 	 */
 	@Override
-	public synchronized String[] cpos2Str(String attribute, int[] cpos)
-			throws UnexpectedAnswerException, IOException, CqiServerError {
+	public synchronized String[] cpos2Str(String attribute, int[] cpos) throws UnexpectedAnswerException, IOException, CqiServerError {
 		
 		if (corporacache.get(attribute) == null) {
 			corporacache.put(attribute, new CqpDataProxy(this, attribute, true));
@@ -1144,10 +1147,8 @@
 //				CQI_CL_CPOS2STR);
 	}
 	
-	public synchronized String[] _cpos2Str(String attribute, int[] cpos)
-			throws UnexpectedAnswerException, IOException, CqiServerError {
-		return genericStringXIntArraytoStringArray(attribute, cpos,
-				CQI_CL_CPOS2STR);
+	public synchronized String[] _cpos2Str(String attribute, int[] cpos) throws UnexpectedAnswerException, IOException, CqiServerError {
+		return genericStringXIntArraytoStringArray(attribute, cpos, CQI_CL_CPOS2STR);
 	}
 
 	/**
@@ -1162,10 +1163,8 @@
 	 * @throws CqiServerError the cqi server error
 	 */
 	@Override
-	public synchronized int[] cpos2Struc(String attribute, int[] cpos)
-			throws UnexpectedAnswerException, IOException, CqiServerError {
-		return genericStringXIntArraytoIntArray(attribute, cpos,
-				CQI_CL_CPOS2STRUC);
+	public synchronized int[] cpos2Struc(String attribute, int[] cpos) throws UnexpectedAnswerException, IOException, CqiServerError {
+		return genericStringXIntArraytoIntArray(attribute, cpos, CQI_CL_CPOS2STRUC);
 	}
 
 	/**
@@ -1180,10 +1179,8 @@
 	 * @throws CqiServerError the cqi server error
 	 */
 	@Override
-	public synchronized int[] cpos2LBound(String attribute, int[] cpos)
-			throws UnexpectedAnswerException, IOException, CqiServerError {
-		return genericStringXIntArraytoIntArray(attribute, cpos,
-				CQI_CL_CPOS2LBOUND);
+	public synchronized int[] cpos2LBound(String attribute, int[] cpos) throws UnexpectedAnswerException, IOException, CqiServerError {
+		return genericStringXIntArraytoIntArray(attribute, cpos, CQI_CL_CPOS2LBOUND);
 	}
 
 	/**
@@ -1198,10 +1195,8 @@
 	 * @throws CqiServerError the cqi server error
 	 */
 	@Override
-	public synchronized int[] cpos2RBound(String attribute, int[] cpos)
-			throws UnexpectedAnswerException, IOException, CqiServerError {
-		return genericStringXIntArraytoIntArray(attribute, cpos,
-				CQI_CL_CPOS2RBOUND);
+	public synchronized int[] cpos2RBound(String attribute, int[] cpos) throws UnexpectedAnswerException, IOException, CqiServerError {
+		return genericStringXIntArraytoIntArray(attribute, cpos, CQI_CL_CPOS2RBOUND);
 	}
 
 	/**
@@ -1216,10 +1211,8 @@
 	 * @throws CqiServerError the cqi server error
 	 */
 	@Override
-	public synchronized int[] cpos2Alg(String attribute, int[] cpos)
-			throws UnexpectedAnswerException, IOException, CqiServerError {
-		return genericStringXIntArraytoIntArray(attribute, cpos,
-				CQI_CL_CPOS2ALG);
+	public synchronized int[] cpos2Alg(String attribute, int[] cpos) throws UnexpectedAnswerException, IOException, CqiServerError {
+		return genericStringXIntArraytoIntArray(attribute, cpos, CQI_CL_CPOS2ALG);
 	}
 
 	/**
@@ -1234,8 +1227,7 @@
 	 * @throws CqiServerError the cqi server error
 	 */
 	@Override
-	public synchronized String[] struc2Str(String attribute, int[] strucs)
-			throws UnexpectedAnswerException, IOException, CqiServerError {
+	public synchronized String[] struc2Str(String attribute, int[] strucs) throws UnexpectedAnswerException, IOException, CqiServerError {
 		return _struc2Str(attribute, strucs);
 	}
 	
@@ -1250,10 +1242,8 @@
 	 * @throws IOException Signals that an I/O exception has occurred.
 	 * @throws CqiServerError the cqi server error
 	 */
-	public synchronized String[] _struc2Str(String attribute, int[] strucs)
-			throws UnexpectedAnswerException, IOException, CqiServerError {
-		return genericStringXIntArraytoStringArray(attribute, strucs,
-				CQI_CL_STRUC2STR);
+	public synchronized String[] _struc2Str(String attribute, int[] strucs) throws UnexpectedAnswerException, IOException, CqiServerError {
+		return genericStringXIntArraytoStringArray(attribute, strucs, CQI_CL_STRUC2STR);
 	}
 
 	/**
@@ -1267,8 +1257,7 @@
 	 * @throws CqiServerError the cqi server error
 	 */
 	@Override
-	public synchronized int[] id2Cpos(String attribute, int id)
-			throws UnexpectedAnswerException, IOException, CqiServerError {
+	public synchronized int[] id2Cpos(String attribute, int id) throws UnexpectedAnswerException, IOException, CqiServerError {
 		this.streamToServer.write(CQI_CL_ID2CPOS);
 		this.writeString(attribute);
 		this.streamToServer.writeInt(id);
@@ -1287,8 +1276,7 @@
 	 * @throws CqiServerError the cqi server error
 	 */
 	@Override
-	public synchronized int[] idList2Cpos(String attribute, int[] ids)
-			throws UnexpectedAnswerException, IOException, CqiServerError {
+	public synchronized int[] idList2Cpos(String attribute, int[] ids) throws UnexpectedAnswerException, IOException, CqiServerError {
 		return genericStringXIntArraytoIntArray(attribute, ids,
 				CQI_CL_IDLIST2CPOS);
 	}
@@ -1305,8 +1293,7 @@
 	 * @throws CqiServerError the cqi server error
 	 */
 	@Override
-	public synchronized int[] regex2Id(String attribute, String regex)
-			throws UnexpectedAnswerException, IOException, CqiServerError {
+	public synchronized int[] regex2Id(String attribute, String regex) throws UnexpectedAnswerException, IOException, CqiServerError {
 		this.streamToServer.write(CQI_CL_REGEX2ID);
 		this.writeString(attribute);
 		this.writeString(regex);
@@ -1324,8 +1311,7 @@
 	 * @throws CqiServerError the cqi server error
 	 */
 	@Override
-	public synchronized int[] struc2Cpos(String attribute, int struc)
-			throws UnexpectedAnswerException, IOException, CqiServerError {
+	public synchronized int[] struc2Cpos(String attribute, int struc) throws UnexpectedAnswerException, IOException, CqiServerError {
 		this.streamToServer.write(CQI_CL_STRUC2CPOS);
 		this.writeString(attribute);
 		this.streamToServer.writeInt(struc);
@@ -1345,8 +1331,7 @@
 	 * @throws CqiServerError the cqi server error
 	 */
 	@Override
-	public synchronized int[] alg2Cpos(String attribute, int struc)
-			throws UnexpectedAnswerException, IOException, CqiServerError {
+	public synchronized int[] alg2Cpos(String attribute, int struc) throws UnexpectedAnswerException, IOException, CqiServerError {
 		this.streamToServer.write(CQI_CL_ALG2CPOS);
 		this.writeString(attribute);
 		this.streamToServer.writeInt(struc);
